# Administration Reference

## fstrace setset

Purpose

Sets the status of an event set

Synopsis

    fstrace setset [-set <set_name>+]  [-active]  [-inactive]  [-dormant]  [-help]

    fs set [-s <set_name>+]  [-a]  [-i]  [-d]  [-h]

Description

The fstrace setset command sets the status of the cm kernel event set on the local machine, which determines whether trace messages are recorded in the log buffer in kernel memory.

Options

-set
  Names the event set for which to set the status. The only acceptable value cm, which is also the default if this argument is omitted.

-active
  Enables tracing for the event set and allocates kernel memory for the associated trace log buffer. Provide one of this flag, the -inactive flag, or the -dormant flag.

-inactive
  Temporarily disables tracing for the event set, but does not change the allocation of kernel memory for the associated trace log buffer. Provide one of this flag, the -active flag, or the -dormant flag.

-dormant
  Disables tracing for the event set and frees the kernel memory previously allocated for the associated trace log buffer. Provide one of this flag, the -active flag, or the -inactive flag.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example sets the cm event set's status to inactive:

       # fstrace setset -set cm -inactive

Privilege Required

The issuer must be logged in as the local superuser root.

Related Information

fstrace

fstrace lsset

fstrace setlog

© IBM Corporation 2000. All Rights Reserved